#include "tn_ym.h"

int32 TNPlug_DecodeFramePlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet,
	int16 *outbuffer)
{
	struct TNDecHandle *handle = inTuneNet->handle;
	return handle->iface->process(handle, inTuneNet->pcm[0], handle->pcm_size);
}

int32 TNPlug_SeekPlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet, uint32 seconds) {
	struct TNDecHandle *handle = inTuneNet->handle;
	handle->iface->seek(handle, seconds);
	return seconds;
}
